CriteriaQuery (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Interface CriteriaQuery

All Known Implementing Classes:
  CriteriaQueryTranslator

    public interface CriteriaQuery

An instance of `CriteriaQuery` is passed to criterion, order and projection instances when actually compiling and executing the query. This interface is not used by application code.

Method Summary
`String[]` | `findColumns(String propertyPath, Criteria criteria)` Get the names of the columns mapped by a property path; if the property path is not found in criteria, try the "outer" query.
`String` | `generateSQLAlias()`
`String` | `getColumn(Criteria criteria, String propertyPath)` Get the names of the columns mapped by a property path, ignoring projection aliases
`String[]` | `getColumns(String propertyPath, Criteria criteria)` Get the names of the columns mapped by a property path, ignoring projection aliases
`String[]` | `getColumnsUsingProjection(Criteria criteria, String propertyPath)` Get the names of the columns mapped by a property path
`String` | `getEntityName(Criteria criteria)` Get the entity name of an entity
`String` | `getEntityName(Criteria criteria, String propertyPath)` Get the entity name of an entity, taking into account the qualifier of the property path
`SessionFactoryImplementor` | `getFactory()`
`String[]` | `getIdentifierColumns(Criteria subcriteria)` Get the identifier column names of this entity
`Type` | `getIdentifierType(Criteria subcriteria)` Get the identifier type of this entity
`String` | `getPropertyName(String propertyName)` Get the property name, given a possibly qualified property name
`String` | `getSQLAlias(Criteria subcriteria)` Get the root table alias of an entity
`String` | `getSQLAlias(Criteria criteria, String propertyPath)` Get the root table alias of an entity, taking into account the qualifier of the property path
`Type` | `getType(Criteria criteria, String propertyPath)` Get the type of a property path, ignoring projection aliases
`TypedValue` | `getTypedIdentifierValue(Criteria subcriteria, Object value)`
`TypedValue` | `getTypedValue(Criteria criteria, String propertyPath, Object value)` Get the a typed value for the given property value.
`Type` | `getTypeUsingProjection(Criteria criteria, String propertyPath)` Get the type of a property path

Method Detail

### getFactory

    SessionFactoryImplementor getFactory()

### getColumn

    String getColumn(Criteria criteria,
                     String propertyPath)
                     throws HibernateException

  Get the names of the columns mapped by a property path, ignoring projection aliases

  Throws:
    `QueryException` - if the property maps to more than 1 column
    `HibernateException`

### getColumns

    String[] getColumns(String propertyPath,
                        Criteria criteria)
                        throws HibernateException

  Get the names of the columns mapped by a property path, ignoring projection aliases

  Throws:
    `HibernateException`

### findColumns

    String[] findColumns(String propertyPath,
                         Criteria criteria)
                         throws HibernateException

  Get the names of the columns mapped by a property path; if the property path is not found in criteria, try the "outer" query. Projection aliases are ignored.

  Throws:
    `HibernateException`

### getType

    Type getType(Criteria criteria,
                 String propertyPath)
                 throws HibernateException

  Get the type of a property path, ignoring projection aliases

  Throws:
    `HibernateException`

### getColumnsUsingProjection

    String[] getColumnsUsingProjection(Criteria criteria,
                                       String propertyPath)
                                       throws HibernateException

  Get the names of the columns mapped by a property path

  Throws:
    `HibernateException`

### getTypeUsingProjection

    Type getTypeUsingProjection(Criteria criteria,
                                String propertyPath)
                                throws HibernateException

  Get the type of a property path

  Throws:
    `HibernateException`

### getTypedValue

    TypedValue getTypedValue(Criteria criteria,
                             String propertyPath,
                             Object value)
                             throws HibernateException

  Get the a typed value for the given property value.

  Throws:
    `HibernateException`

### getEntityName

    String getEntityName(Criteria criteria)

  Get the entity name of an entity

### getEntityName

    String getEntityName(Criteria criteria,
                         String propertyPath)

  Get the entity name of an entity, taking into account the qualifier of the property path

### getSQLAlias

    String getSQLAlias(Criteria subcriteria)

  Get the root table alias of an entity

### getSQLAlias

    String getSQLAlias(Criteria criteria,
                       String propertyPath)

  Get the root table alias of an entity, taking into account the qualifier of the property path

### getPropertyName

    String getPropertyName(String propertyName)

  Get the property name, given a possibly qualified property name

### getIdentifierColumns

    String[] getIdentifierColumns(Criteria subcriteria)

  Get the identifier column names of this entity

### getIdentifierType

    Type getIdentifierType(Criteria subcriteria)

  Get the identifier type of this entity

### getTypedIdentifierValue

    TypedValue getTypedIdentifierValue(Criteria subcriteria,
                                       Object value)

### generateSQLAlias

    String generateSQLAlias()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.